Bug 210534 - graphics/py-pyproj: Update to 1.9.5.1, unbreak
Summary: graphics/py-pyproj: Update to 1.9.5.1, unbreak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason E. Hale
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2016-06-24 19:24 UTC by Dušan Vejnovič
Modified: 2016-12-08 22:51 UTC (History)
3 users (show)

See Also:
vlad-fbsd: maintainer-feedback+


Attachments
An update patch (3.71 KB, patch)
2016-07-19 02:09 UTC, fmysh
fmysh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dušan Vejnovič 2016-06-24 19:24:05 UTC

    
Comment 1 Dušan Vejnovič 2016-06-24 19:55:23 UTC
Sorry, I am something messed up.
Comment 2 fmysh 2016-07-19 02:09:13 UTC
Created attachment 172686 [details]
An update patch

I resubmit the update patch in case the patch was lost.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-19 06:25:17 UTC
Maintainer, please:

* Set maintainer-approval to + on attachments for ports you are maintainer of. Attachment -> Details -> maintainer-approval [+]
* Confirm this change passes QA (portlint, poudriere)
Comment 4 VK freebsd_triage 2016-11-13 01:22:48 UTC
Thanks for the patch. Can you please confirm the changes pass QA (portlint, poudriere)?
Comment 5 commit-hook freebsd_committer 2016-12-08 22:45:27 UTC
A commit references this bug:

Author: jhale
Date: Thu Dec  8 22:44:41 UTC 2016
New revision: 428160
URL: https://svnweb.freebsd.org/changeset/ports/428160

Log:
  Update to 1.9.5.1
  Unbreak fetch
  Add LICENSE (MIT)
  Use ports version of graphics/proj instead of bundled version
  Update pkg-descr/WWW

  PR:		210534 (based on)
  Submitted by:	<fmysh@iijmio-mail.jp> (maintainer)
  Reported by:	Dusan Vejnovic <freebsd@dussan.org>

Changes:
  head/graphics/py-pyproj/Makefile
  head/graphics/py-pyproj/distinfo
  head/graphics/py-pyproj/pkg-descr
Comment 6 Jason E. Hale freebsd_committer 2016-12-08 22:51:36 UTC
Committed with the following changes:
- LICENSE is really an MIT-style license, so there isn't a need to come up with some new name for it
- I couldn't get this to pass the check-plist stage as it was installing the docs twice, so since the docs are pre-generated, I just used them instead of regenerating them
- A few tweaks to get this to pass portlint -C